Package org.apache.tomcat.util.http

## Class CookieProcessorBase

- java.lang.Object
- - org.apache.tomcat.util.http.CookieProcessorBase

All Implemented Interfaces:
  `CookieProcessor`

Direct Known Subclasses:
  `Rfc6265CookieProcessor`

    public abstract class CookieProcessorBase
    extends Object
    implements CookieProcessor

### Field Summary

Fields
`protected static String` `ANCIENT_DATE`
`protected static ThreadLocal<DateFormat>` `COOKIE_DATE_FORMAT`

### Constructor Summary

Constructors
`CookieProcessorBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SameSiteCookies` `getSameSiteCookies()`
`void` `setSameSiteCookies​(String sameSiteCookies)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.tomcat.util.http.CookieProcessor

`generateHeader, getCharset, parseCookieHeader`

### Field Detail

#### COOKIE_DATE_FORMAT

    protected static final ThreadLocal<DateFormat> COOKIE_DATE_FORMAT

#### ANCIENT_DATE

    protected static final String ANCIENT_DATE

### Constructor Detail

#### CookieProcessorBase

    public CookieProcessorBase()

### Method Detail

#### getSameSiteCookies

    public SameSiteCookies getSameSiteCookies()

#### setSameSiteCookies

    public void setSameSiteCookies​(String sameSiteCookies)